Subject: Re: Using Surge Suppressors

From: Stephen Partington via PLUG-discuss <[email-masked]>
Date: Tue, 13 May 2025 09:49:57 -0400

Surge supressors are basically ablative. they take their jolts over time
and it chips away at their total efficacy. but isobars are solid.

On Fri, May 9, 2025 at 10:34 AM Keith Smith via PLUG-discuss <
[email-masked]> wrote:

> Hi,
>
> I mentioned in a previous post that I use IsoBar Surge Suppressors, and
> have been since the early to mid 90's.
>
> I cannot recall one failure of any of my hardware, in my home office,
> ever.  I attribute that to the IsoBar Surge Suppressors.
>
> I shared the story about the transformer explosion right adjacent to my
> house and my computer survived.
>
> Any thoughts?
>
> - Keith
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>

-- 
A mouse trap, placed on top of your alarm clock, will prevent you from
rolling over and going back to sleep after you hit the snooze button.

Stephen
---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss